%define _default_patch_fuzz 2
%define dist .el4
%define desktop_file_utils_version 0.9
%define nspr_version 4.7
%define nss_version 3.11.99.5

%define official_branding 1

Summary:	Mozilla Thunderbird mail/newsgroup client
Name:		thunderbird
Version:	1.5.0.12
Release:	30.0.1%{?dist}
Epoch:		0
URL:		http://www.mozilla.org/projects/thunderbird/
License:	MPL
Group:		Applications/Internet
%if %{official_branding}
#%define tarball thunderbird-%{version}-source.tar.bz2
%define tarball thunderbird-180-20080619.tar.bz2
%else
%define tarball thunderbird-1.5rc1-source.tar.bz2
%endif
Source0:        %{tarball}
Source1:        thunderbird-langpacks-%{version}-20070530.tar.bz2
Source10:       thunderbird-mozconfig
Source11:       thunderbird-mozconfig-branded
Source12:       thunderbird-oracle-default-prefs.js
Source20:       thunderbird.desktop
Source21:       thunderbird.sh.in
Source22:       thunderbird.png
Source30:       thunderbird-open-browser.sh
Source100:      find-external-requires

# Build patches
Patch1:         mozilla-version.patch
Patch2:         firefox-1.0-prdtoa.patch
Patch5:         firefox-1.1-visibility.patch
Patch6:         firefox-1.5.0.10-with-system-nss.patch
Patch7:         firefox-1.5.0.10-nss-system-nspr.patch
Patch8:         firefox-nss-3.12.patch

Patch10:        thunderbird-0.7.3-psfonts.patch
Patch11:        thunderbird-0.7.3-gnome-uriloader.patch
Patch12:        seamonkey-ia64-js.patch
Patch13:        thunderbird-gcc-build.patch

# customization patches
Patch24:        thunderbird-0.8-default-applications.patch
Patch25:        thunderbird-1.1-software-update.patch

# font system fixes
Patch31:        firefox-1.5-nopangoxft.patch
Patch32:        firefox-1.5-pango-mathml.patch
Patch33:        firefox-1.5-pango-cursor-position.patch

# local bugfixes
Patch42:        firefox-1.1-uriloader.patch

# fixed 1.8.1.12
Patch67:        mozilla-394610.patch
Patch68:        mozilla-413135.patch

# fixed 1.8.1.13
Patch69:        mozilla-415827.patch
Patch70:        mozilla-384871.patch
Patch71:        mozilla-405783.patch
Patch72:        mozilla-384750.patch
Patch73:        mozilla-415030.patch
Patch74:        mozilla-382509.patch
Patch75:        mozilla-332807.patch
Patch76:        mozilla-399286.patch
Patch77:        mozilla-406686.patch
Patch78:        mozilla-390813.patch
Patch79:        mozilla-387390.patch
Patch80:        mozilla-411092.patch
Patch81:        mozilla-411093.patch
Patch82:        mozilla-345529.patch
Patch83:        mozilla-403168.patch
Patch84:        mozilla-415034.patch
# 411025 also includes 425576 which is fixed in 1.8.1.14
Patch85:        mozilla-411025.patch
Patch86:        mozilla-417617.patch
Patch87:        mozilla-387084.patch
Patch88:        mozilla-419116.patch
Patch89:        mozilla-416282.patch

# fixed 1.8.1.15
Patch110:       mozilla-356378.patch
Patch111:       mozilla-371292.patch
Patch113:       mozilla-391178-1-x.patch
Patch114:       mozilla-391178-2-x.patch
Patch115:       mozilla-397093.patch
Patch116:       mozilla-410156-x.patch
Patch117:       mozilla-411433.patch
Patch118:       mozilla-413874-x.patch
Patch119:       mozilla-418356.patch
Patch120:       mozilla-418996.patch
Patch121:       mozilla-419846.patch
Patch122:       mozilla-422118-x.patch
Patch123:       mozilla-423541.patch
Patch124:       mozilla-424426.patch
Patch125:       mozilla-432591.patch
Patch126:       mozilla-430814-x.patch
Patch127:       mozilla-413161.patch
Patch128:       mozilla-347367-1.patch
Patch129:       mozilla-347367-2-x.patch
Patch130:       mozilla-418128-x.patch
Patch131:       mozilla-421622.patch
Patch132:       mozilla-439035.patch
Patch133:       mozilla-439735.patch
Patch134:       mozilla-440308.patch

# fixed 1.8.1.16
Patch150:       mozilla-440230.patch

# fixed 1.8.1.17
Patch200:       mozilla-329385-x.patch
Patch201:       mozilla-444608-x.patch
Patch202:       mozilla-446494-x.patch
Patch203:       mozilla-445229.patch
Patch204:       mozilla-443089-x.patch
Patch205:       mozilla-367736.patch
Patch206:       mozilla-425152.patch
Patch207:       mozilla-380994-1.patch
Patch208:       mozilla-380994-2.patch
Patch209:       mozilla-380994-3-x.patch
Patch210:       mozilla-451037.patch
Patch211:       mozilla-439034.patch
Patch212:       mozilla-448548.patch
Patch213:       mozilla-419848-x.patch
Patch214:       mozilla-430740.patch
Patch215:       mozilla-441087-x.patch
Patch216:       mozilla-443288.patch

# fixed 1.8.1.18
Patch230:       mozilla-433610.patch
Patch231:       mozilla-453915-x.patch
Patch232:       mozilla-455987.patch
Patch233:       mozilla-462034-x.patch
Patch234:       mozilla-436741.patch
Patch235:       mozilla-456896.patch
Patch236:       mozilla-443299.patch
Patch237:       mozilla-458883-x.patch
Patch238:       mozilla-455311-1-x.patch
Patch239:       mozilla-455311-2.patch
Patch240:       mozilla-424733.patch
Patch241:       mozilla-453278-x.patch
Patch242:       mozilla-460002-x.patch
Patch243:       mozilla-454113-x.patch

#fixed in 1.8.1.19
Patch251:      mozilla-363897-x.patch
Patch252:      mozilla-370461.patch
Patch253:      mozilla-379959.patch
Patch254:      mozilla-393321.patch
Patch255:      mozilla-430574.patch
Patch256:      mozilla-460713-x.patch
Patch257:      mozilla-451613.patch
Patch258:      mozilla-451680-x.patch
Patch260:      mozilla-453310.patch
Patch262:      mozilla-458248-x.patch
Patch263:      mozilla-460803.patch
Patch264:      mozilla-461735-x.patch
Patch265:      mozilla-464998.patch

#fixed in 1.9.0.6 
Patch270:      mozilla-380418.patch
Patch271:      mozilla-401042.patch
Patch272:      mozilla-437142.patch
Patch273:      mozilla-442012-x.patch
Patch274:      mozilla-449006.patch
Patch275:      mozilla-454142.patch
Patch276:      mozilla-471715-x.patch

#fixed in 1.9.0.7 
Patch280:      mozilla-414540-x.patch
Patch282:      mozilla-473709-x.patch
Patch283:      mozilla-475136-x.patch
Patch284:      mozilla-284245.patch

# fixed in 1.9.0.8 
Patch285:      mozilla-485217.patch
Patch286:      mozilla-485286.patch
Patch287:      mozilla-484320.patch

# fixed in 1.9.0.9. 
Patch290:      mozilla-450876.patch
Patch291:      mozilla-475636-x.patch
Patch292:      mozilla-481342-x.patch
Patch293:      mozilla-453736.patch
Patch294:      mozilla-476049.patch
Patch296:      mozilla-317216-x.patch
Patch297:      mozilla-471962-x.patch
Patch298:      mozilla-478433-x.patch
Patch300:      mozilla-355829-x.patch
Patch301:      mozilla-474536-x.patch
Patch302:      mozilla-479336-x.patch
Patch303:      mozilla-483444-x.patch

#fixed in 1.9.0.11 
Patch310:      mozilla-369696-x.patch
Patch311:      mozilla-432068-x.patch
Patch312:      mozilla-479560-x.patch
Patch313:      mozilla-484031-x.patch
Patch314:      mozilla-486398-x.patch
Patch315:      mozilla-487204-x.patch
Patch316:      mozilla-490425.patch
Patch317:      mozilla-490425-2.patch
Patch318:      mozilla-491801.patch
Patch319:      mozilla-495057-x.patch

#fixed in 1.9.0.12
Patch320:      mozilla-434035-x.patch
Patch321:      mozilla-440982.patch
Patch322:      mozilla-455633.patch
Patch323:      mozilla-459524.patch
Patch324:      mozilla-461861-x.patch
Patch325:      mozilla-495098-x.patch
Patch326:      mozilla-495648-x.patch
Patch327:      mozilla-493664.patch
Patch328:      mozilla-493281-x.patch
Patch329:      mozilla-492779-x.patch

#fixed in 1.9.0.13
Patch334:      mozilla-332173-x.patch

# fixed in 1.9.0.14
Patch340:      mozilla-326628-x.patch
Patch341:      mozilla-451898-x.patch
Patch342:      mozilla-471539-x.patch
Patch343:      mozilla-505305-x.patch
Patch344:      mozilla-508074-x.patch
Patch350:      mozilla-483437-x.patch
Patch351:      mozilla-483440-x.patch
Patch356:      mozilla-506871-x.patch

# fixed in 1.9.0.15
Patch360:      mozilla-399227-x.patch
Patch361:      mozilla-454872.patch
Patch364:      mozilla-503226.patch
Patch366:      mozilla-508927-x.patch
Patch369:      mozilla-511521-x.patch
Patch373:      mozilla-514823-x.patch
Patch374:      mozilla-515583-x.patch
Patch375:      mozilla-516396-x.patch
Patch377:      mozilla-516862-x.patch
Patch378:      mozilla-371976-x.patch

# fixed in 1.9.0.16
Patch381:      mozilla-487872-x.patch
Patch382:      mozilla-521461-x.patch
Patch384:      mozilla-479485.patch
Patch385:      mozilla-506267-x.patch
Patch388:      mozilla-479931-x.patch

# fixed in 1.9.0.19
Patch391:      mozilla-531364.patch
Patch392:      mozilla-503926-x.patch
Patch393:      mozilla-528134-x.patch
Patch394:      mozilla-500777.patch
Patch395:      mozilla-526500-x.patch
Patch396:      mozilla-528300-x.patch
Patch397:      mozilla-535806-x.patch

# fixed in 2.0.0.24
Patch400:      mozilla-284876.patch
Patch402:      mozilla-376192.patch
Patch403:      mozilla-389087-x.patch
Patch404:      mozilla-440236-x.patch
Patch405:      mozilla-494706.patch
Patch406:      mozilla-505221.patch
Patch407:      mozilla-511806.patch
Patch408:      mozilla-535193.patch

# fixed in 1.9.1.10
Patch411:      mozilla-484890-x.patch
Patch415:      mozilla-532246-x.patch
Patch416:      mozilla-534433-x.patch
Patch417:      mozilla-537120-1.patch
Patch421:      mozilla-554255-x.patch
Patch422:      mozilla-555109-x.patch

#fixed in 1.9.1.11
Patch430:      mozilla-570451-x.patch

# fixed in 1.9.1.11 "fat"
Patch432:      mozilla-529087-x.patch
Patch433:      mozilla-536466-x.patch
Patch434:      mozilla-570657-x.patch
Patch435:      mozilla-571106-x.patch
Patch436:      mozilla-572985-x.patch
Patch437:      mozilla-568564-x.patch

# fixed in 1.9.1.12
Patch438:      mozilla-575836.patch
Patch452:      mozilla-568465-x.patch
Patch455:      mozilla-576075-x.patch
Patch457:      mozilla-579744-x.patch
Patch458:      mozilla-580445.patch
Patch461:      mozilla-584512-x.patch
Patch462:      mozilla-585815.patch
Patch463:      mozilla-562104-x.patch
Patch464:      mozilla-482432-x.patch
Patch465:      mozilla-537815-x.patch
Patch466:      mozilla-576447.patch
Patch467:      mozilla-583225-x.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	nspr >= %{nspr_version}
Requires:	nss >= %{nss_version}
BuildRequires:	libpng-devel, libjpeg-devel, gtk2-devel
BuildRequires:	zlib-devel, gzip, zip, unzip
BuildRequires:	nspr-devel >= %{nspr_version}
BuildRequires:	nss-devel >= %{nss_version}
BuildRequires:	libIDL-devel
BuildRequires:	tcsh
BuildRequires:	freetype-devel
BuildRequires:	XFree86-devel
BuildRequires:	ORBit2-devel
BuildRequires:	libart_lgpl-devel
BuildRequires:	libbonobo-devel
BuildRequires:	libbonoboui-devel
BuildRequires:	GConf2-devel
BuildRequires:	libgnome-devel
BuildRequires:	libgnomecanvas-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	gnome-vfs2-devel
BuildRequires:	libxml2-devel
Prereq:		desktop-file-utils >= %{desktop_file_utils_version}
Obsoletes:	MozillaThunderbird

ExcludeArch: ppc64

%define tbdir %{_libdir}/thunderbird-%{version}

AutoProv: 0
%define _use_internal_dependency_generator 0
%define __find_requires %{SOURCE100}

%description
Mozilla Thunderbird is a standalone mail and newsgroup client.

#===============================================================================

%prep
%setup -q -n mozilla

%patch1 -p2
%patch2 -p0

# Pragma visibility is broken on most platforms for some reason.
# It works on i386 so leave it alone there.  Disable elsewhere.
# See http://gcc.gnu.org/bugzilla/show_bug.cgi?id=20297
%ifnarch i386
%patch5  -p0
%endif

%patch6  -p1
%patch7  -p1
%patch8  -p1

%patch10 -p1 -b .psfonts
%patch11 -p1 -b .gnome-uriloader
%patch12 -p1 -b .js
%patch13 -p1 -b .gcc

%patch24 -p1
%patch25 -p0
%patch31 -p1 -b .nopangoxft
%patch32 -p1 -b .pango-mathml
%patch33 -p1 -b .pango-cursor-position
%patch42 -p0

# fixed 1.8.1.12
%patch67 -p1 -b .394610
%patch68 -p1 -b .413135

# fixed 1.8.1.13
%patch69 -p1 -b .415827
%patch70 -p1 -b .384871
%patch71 -p1 -b .405783
%patch72 -p1 -b .384750
%patch73 -p1 -b .415030
%patch74 -p1 -b .382509
%patch75 -p1 -b .332807
%patch76 -p1 -b .399286
%patch77 -p1 -b .406686
%patch78 -p1 -b .390813
%patch79 -p1 -b .387390
%patch80 -p1 -b .411092
%patch81 -p1 -b .411093
%patch82 -p1 -b .345529
%patch83 -p1 -b .403168
%patch84 -p1 -b .415034
%patch85 -p1 -b .411025
%patch86 -p1 -b .417617
%patch87 -p1 -b .387084
%patch88 -p1 -b .419116
%patch89 -p1 -b .416282

# fixed 1.8.1.15
%patch110 -p1 -b .356378
%patch111 -p1 -b .371292
%patch113 -p1 -b .391178-1-x
%patch114 -p1 -b .391178-2-x
%patch115 -p1 -b .397093
%patch116 -p1 -b .410156-x
%patch117 -p1 -b .411433
%patch118 -p1 -b .413874-x
%patch119 -p1 -b .418356
%patch120 -p1 -b .418996
%patch121 -p1 -b .419846
%patch122 -p1 -b .422118-x
%patch123 -p1 -b .423541
%patch124 -p1 -b .424426
%patch125 -p1 -b .432591
%patch126 -p1 -b .430814-x
%patch127 -p1 -b .413161
%patch128 -p1 -b .347367-1
%patch129 -p1 -b .347367-2-x
%patch130 -p1 -b .418128-x
%patch131 -p1 -b .421622
%patch132 -p1 -b .439035
%patch133 -p1 -b .439735
%patch134 -p1 -b .440308

# fixed 1.8.1.16
%patch150 -p1 -b .440230

# fixed 1.8.1.17 
%patch200 -p1 -b .329385-x
%patch201 -p1 -b .444608-x
%patch202 -p1 -b .446494-x
%patch203 -p1 -b .445229
%patch204 -p1 -b .443089-x
%patch205 -p1 -b .367736
%patch206 -p1 -b .425152
%patch207 -p1 -b .380994-1
%patch208 -p1 -b .380994-2
%patch209 -p1 -b .380994-3-x
%patch210 -p1 -b .451037
%patch211 -p1 -b .439034
%patch212 -p1 -b .448548
%patch213 -p1 -b .419848-x
%patch214 -p1 -b .430740
%patch215 -p1 -b .441087-x
%patch216 -p1 -b .443288

# fixed 1.8.1.18
%patch230 -p0 -b .433610
%patch231 -p0 -b .453915
%patch232 -p0 -b .455987
%patch233 -p0 -b .462034
%patch234 -p0 -b .436741
%patch235 -p0 -b .456896
%patch236 -p0 -b .443299
%patch237 -p0 -b .458883
%patch238 -p0 -b .455311-1
%patch239 -p0 -b .455311-2
%patch240 -p0 -b .424733
%patch241 -p0 -b .453278
%patch242 -p0 -b .460002
%patch243 -p0 -b .454113

#fixed in 1.8.1.19
%patch251 -p0 -b .363897
%patch252 -p0 -b .370461
%patch253 -p0 -b .379959
%patch254 -p0 -b .393321
%patch255 -p0 -b .430574
%patch256 -p0 -b .460713
%patch257 -p0 -b .451613
%patch258 -p0 -b .451680
%patch260 -p0 -b .453310
%patch262 -p0 -b .458248
%patch263 -p0 -b .460803
%patch264 -p0 -b .461735
%patch265 -p0 -b .464998

#fixed in 1.9.0.6 
%patch270 -p0 -b .380418
%patch271 -p0 -b .401042
%patch272 -p0 -b .437142
%patch273 -p0 -b .442012
%patch274 -p0 -b .449006
%patch275 -p0 -b .454142
%patch276 -p0 -b .471715

#fixed in 1.9.0.7 
%patch280 -p1 -b .414540
%patch282 -p1 -b .473709
%patch283 -p1 -b .475136
%patch284 -p1 -b .284245

#fixed in 1.9.0.8
%patch285 -p1 -b .485217
%patch286 -p1 -b .485286
%patch287 -p1 -b .484320

# fixed in 1.9.0.9 
%patch290 -p0 -b .450876
%patch291 -p1 -b .475636
%patch292 -p1 -b .481342
%patch293 -p0 -b .453736
%patch294 -p0 -b .476049
%patch296 -p1 -b .317216
%patch297 -p1 -b .471962
%patch298 -p1 -b .478433
%patch300 -p1 -b .355829
%patch301 -p1 -b .474536
%patch302 -p1 -b .479336
%patch303 -p0 -b .483444

# fixed in 1.9.0.11
%patch310 -p1 -b .369696
%patch311 -p1 -b .432068
%patch312 -p1 -b .479560
%patch313 -p1 -b .484031
%patch314 -p1 -b .486398
%patch315 -p1 -b .487204
%patch316 -p0 -b .490425
%patch317 -p1 -b .490425-2
%patch318 -p0 -b .491801
%patch319 -p1 -b .495057

# fixed in 1.9.0.12
%patch320 -p1 -b .434035
%patch321 -p1 -b .440982
%patch322 -p1 -b .455633
%patch323 -p1 -b .459524
%patch324 -p1 -b .461861
%patch325 -p1 -b .495098
%patch326 -p1 -b .495648
%patch327 -p0 -b .493664
%patch328 -p1 -b .493281
%patch329 -p1 -b .492779

# fixed in 1.9.0.13
%patch334 -p1 -b .332173

# fixed in 1.9.0.14
%patch340 -p1 -b .326628
%patch341 -p1 -b .451898
%patch342 -p1 -b .471539
%patch343 -p1 -b .505305
%patch344 -p1 -b .508074
%patch350 -p1 -b .483437
%patch351 -p1 -b .483440
%patch356 -p1 -b .506871

# fixed in 1.9.0.15
%patch360 -p1 -b .399227
%patch361 -p0 -b .454872
%patch364 -p1 -b .503226
%patch366 -p1 -b .508927
%patch369 -p1 -b .511521
%patch373 -p1 -b .514823
%patch374 -p1 -b .515583
%patch375 -p1 -b .516396
%patch377 -p1 -b .516862
%patch378 -p1 -b .371976

# fixed in 1.9.0.16
%patch381 -p1 -b .487872
%patch382 -p1 -b .521461
%patch384 -p1 -b .479485
%patch385 -p1 -b .506267
%patch388 -p1 -b .479931

# fixed in 1.9.0.19
%patch391 -p1 -b .531364
%patch392 -p1 -b .503926
%patch393 -p1 -b .528134
%patch394 -p0 -b .500777
%patch395 -p1 -b .526500
%patch396 -p1 -b .528300
%patch397 -p1 -b .535806

# fixed in 2.0.0.24
%patch400 -p1 -b .284876
%patch402 -p1 -b .376192
%patch403 -p1 -b .389087
%patch404 -p1 -b .440236
%patch405 -p1 -b .494706
%patch406 -p1 -b .505221
%patch407 -p1 -b .511806
%patch408 -p1 -b .535193

# fixed in 1.9.1.10
%patch411 -p1 -b .484890
%patch415 -p1 -b .532246
%patch416 -p1 -b .534433
%patch417 -p1 -b .537120-1
%patch421 -p1 -b .554255
%patch422 -p1 -b .555109

# fixed in 1.9.1.11
%patch430 -p1 -b .570451

# fixed in 1.9.1.11 "fat"
%patch432 -p1 -b .529087
%patch433 -p1 -b .536466
%patch434 -p1 -b .570657
%patch435 -p1 -b .571106
%patch436 -p1 -b .572985
%patch437 -p1 -b .568564

# fixed in 1.9.1.12
%patch438 -p1 -b .575836
%patch452 -p1 -b .568465
%patch455 -p1 -b .576075
%patch457 -p1 -b .579744
%patch458 -p1 -b .580445
%patch461 -p1 -b .584512
%patch462 -p1 -b .585815
%patch463 -p1 -b .562104
%patch464 -p1 -b .482432
%patch465 -p1 -b .537815
%patch466 -p1 -b .576447
%patch467 -p1 -b .583225

%{__rm} -f .mozconfig
%{__cp} %{SOURCE10} .mozconfig
%if %{official_branding}
%{__cat} %{SOURCE11} >> .mozconfig
%endif

#===============================================================================

%build
export RPM_OPT_FLAGS=$(echo $RPM_OPT_FLAGS | %{__sed} -e 's/-O2/-Os/' -e 's/-Wall//')
export CFLAGS="$RPM_OPT_FLAGS"
export CXXFLAGS="$CFLAGS"
export BUILD_OFFICIAL=1
export MOZILLA_OFFICIAL=1
make -f client.mk build

#===============================================================================

%install
%{__rm} -rf $RPM_BUILD_ROOT

cd mail/installer
%{__make} STRIP=/bin/true
cd -

%{__mkdir_p} $RPM_BUILD_ROOT{%{_libdir},%{_bindir},%{_datadir}/applications}

%{__tar} -C $RPM_BUILD_ROOT%{_libdir}/ -xzf dist/%{name}-*linux*.tar.gz
%{__mv} $RPM_BUILD_ROOT%{_libdir}/%{name} $RPM_BUILD_ROOT%{tbdir}

%{__rm} -f $RPM_BUILD_ROOT%{_libdir}/%{name}-*linux*.tar

# This is thunderbird-icon.png for compat
%{__install} -p -D %{SOURCE22} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}-icon.png

desktop-file-install --vendor mozilla \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications \
  --add-category X-Red-Hat \
  --add-category Application \
  --add-category Network \
  %{SOURCE20}

# set up the thunderbird start script
%{__cat} %{SOURCE21} | %{__sed} -e 's,TBIRD_VERSION,%{version},g' > \
  $RPM_BUILD_ROOT%{_bindir}/thunderbird
%{__chmod} 755 $RPM_BUILD_ROOT/%{_bindir}/thunderbird
ln -s %{_bindir}/thunderbird \
  $RPM_BUILD_ROOT%{_bindir}/mozilla-thunderbird

install -m755 %{SOURCE30} $RPM_BUILD_ROOT/%{tbdir}/open-browser.sh
perl -pi -e 's|LIBDIR|%{_libdir}|g' $RPM_BUILD_ROOT/%{tbdir}/open-browser.sh

%{__cat} %{SOURCE12} | %{__sed} -e 's,THUNDERBIRD_RPM_VR,%{version}-%{release},g' \
                                -e 's,COMMAND,%{tbdir}/open-browser.sh,g' > \
        $RPM_BUILD_ROOT/rh-default-prefs
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{tbdir}/greprefs/all-redhat.js
%{__cp} $RPM_BUILD_ROOT/rh-default-prefs $RPM_BUILD_ROOT/%{tbdir}/defaults/pref/all-redhat.js
%{__rm} $RPM_BUILD_ROOT/rh-default-prefs

# own mozilla plugin dir (#135050)
%{__mkdir_p} $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins

# Install langpacks
%{__mkdir_p} $RPM_BUILD_ROOT%{tbdir}/extensions
%{__tar} xjf %{SOURCE1}
for langpack in `ls thunderbird-langpacks/*.xpi`; do
  language=`basename $langpack .xpi`
  extensiondir=$RPM_BUILD_ROOT%{tbdir}/extensions/langpack-$language@thunderbird.mozilla.org
  %{__mkdir_p} $extensiondir
  unzip $langpack -d $extensiondir
  find $extensiondir -type f | xargs chmod 644

  langtmp=%{_tmpdir}/%{name}/langpack-$language
  %{__mkdir_p} $langtmp
  jarfile=$extensiondir/chrome/$language.jar
  unzip $jarfile -d $langtmp
  find $langtmp -type f | xargs chmod 644
  %{__rm} -rf $jarfile
  cd $langtmp
  zip -r -D $jarfile locale
  %{__rm} -rf locale
  cd -
done
%{__rm} -rf thunderbird-langpacks


%{__rm} -f $RPM_BUILD_ROOT%{tbdir}/thunderbird-config

cd $RPM_BUILD_ROOT%{tbdir}/chrome
find . -name "*" -type d -maxdepth 1 -exec %{__rm} -rf {} \;
cd -

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications


%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/thunderbird
%attr(755,root,root) %{_bindir}/mozilla-thunderbird
%attr(644,root,root) %{_datadir}/applications/mozilla-thunderbird.desktop
%attr(644,root,root) %{_datadir}/pixmaps/thunderbird-icon.png
%{tbdir}

#===============================================================================

%changelog
* Wed Sep 08 2010 Fredrick He <fredrick.he@oracle.com> - 1.5.0.12-30.0.1.el4
- Add thunderbird-oracle-default-prefs.js for errata rebuild and remove
  thunderbird-redhat-default-prefs.js
  Replaced clean.gif in tarball

* Fri Sep 3 2010 Martin Stransky <stransky@redhat.com> - 1.5.0.12-30
- Added fixes for mozbz#576447, #583225

* Mon Aug 30 2010 Martin Stransky <stransky@redhat.com> - 1.5.0.12-29
- Added fixes from 1.9.1.12

* Fri Jul 2 2010 Martin Stransky <stransky@redhat.com> - 1.5.0.12-28
- Added fixes from 1.9.1.11

* Mon May 24 2010 Martin Stransky <stransky@redhat.com> - 1.5.0.12-26
- Added patches from 1.9.1.10

* Tue Mar 2 2010 Martin Stransky <stransky@redhat.com> - 1.5.0.12-25
- Added patches from 2.0.0.24

* Wed Aug 19 2009 Martin Stransky <stransky@redhat.com> - 1.5.0.12-24
- Update patchset to fix regression as per 1.9.0.13

* Wed Jun 24 2009 Martin Stransky <stransky@redhat.com> - 1.5.0.12-23
- Added fix for mozbz#495057

* Wed Jun 17 2009 Martin Stransky <stransky@redhat.com> - 1.5.0.12-22
- Added build fix

* Tue Jun 9 2009 Martin Stransky <stransky@redhat.com> - 1.5.0.12-21
- Update patchset to fix regression as per 1.9.0.11

* Wed Mar 25 2009 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-20
- Fixes milw0rm/8285

* Tue Mar 10 2009 Martin Stransky <stransky@redhat.com> - 1.5.0.12-19
- Update patchset to fix regression as per 1.8.1.21
- Added missing required packages

* Tue Dec 16 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-18
- Update patchset to fix regression as per 1.8.1.19

* Thu Nov 13 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-17
- Update patchset to fix regression as per 1.8.1.18

* Mon Sep 15 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-16
- Update patchset to fix regression as per 1.8.1.17

* Thu Aug 14 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-15
- Rebuild with system nss and nspr

* Tue Jul 15 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-14
- Add patches for backported fixes from 1.8.1.16

* Tue Jun 24 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-13
- Respun for mozilla bugs #439035,#439735,#440308

* Thu Jun 19 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-12
- Update patchset to fix regression as per 1.8.1.15

* Fri Apr 11 2008 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-11
- Update patchset to fix regression as per 1.8.1.14

* Fri Mar 28 2008 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-10
- Regression fixes

* Mon Mar 24 2008 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-9
- Update to latest snapshot of Mozilla 1.8.0 branch
- Add patches for backported fixes from 1.8.1.13

* Thu Jan 31 2008 Martin Stransky <stransky@redhat.com> - 1.5.0.12-8
- Update to latest snapshot of Mozilla 1.8.0 branch
- Added a patch with backported fixes from 1.8.1.12

* Thu Nov 22 2007 Christopher Aillon <caillon@redhat.com> - 1.5.0.12-7
- Add patches for mozilla bugs:
  369814,373911,391028,393326,402649,403331

* Thu Oct 18 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.5.el4
- Update to latest snapshot of Mozilla 1.8.0 branch

* Wed Oct 17 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.4.el4
- added pathes for Mozilla bugs 199088,267833,309322,345305,361745,
  362901,372309,378787,381300,384105,386914,387033,387881,388121,388784
  390078,393537,395942,325761,392149

* Wed Jul 18 2007 Kai Engert <kengert@redhat.com> - 1.5.0.12-0.3.el4
- Add a patch to stick with major versions 1.5.0.12 / 1.8.0.12

* Tue Jul 17 2007 Kai Engert <kengert@redhat.com> - 1.5.0.12-0.2.el4
- Update to latest snapshot of Mozilla 1.8.0 branch
- Include patches for Mozilla bugs 379245, 384925, 178993,
  381300 (+382686), 358594 (+380933), 382532 (+382503)

* Tue May 29 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.12-0.1.el4
- Update to 1.5.0.12

* Thu Mar 1 2007 Martin Stransky <stransky@redhat.com> - 1.5.0.10-0.1.el4
- Update to 1.5.0.10

* Fri Jan 19 2007 Christopher Aillon <caillon@redhat.com> - 1.5.0.9-0.2.el4
- Fix langpack support to start in the user's locale where possible
- Allow OpenOffice to send files as Thunderbird attachments

* Wed Dec 13 2006 Christopher Aillon <caillon@redhat.com> - 1.5.0.9-0.1.el4
- Update to 1.5.0.9 (RC)
- Update the pango patches to support mathml and various fixes.
- Let Thunderbird handle gcc warnings; it weeds out frequent offenders.

* Sun Nov  5 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.8-0.1.el4
- Update to 1.5.0.8 (RC)

* Mon Sep 11 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.7-0.1.el4
- Update to 1.5.0.7

* Tue Aug  1 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.5-0.el4.2
- Fix the launcher and icons

* Wed Jul 26 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.5-0.el4.1
- Update to 1.5.0.5

* Wed May 24 2006 Christopher Aillon <caillon@redhat.com> 1.5.0.2-0.1.EL4
- Update to 1.5.0.2

* Wed Apr 19 2006 Christopher Aillon <caillon@redhat.com> 1.0.8-1.4.1
- Update to 1.0.8

* Thu Sep 29 2005 Christopher Aillon <caillon@redhat.com> 1.0.7-1.4.1
- Update to 1.0.7, containing fixes for:
  CAN-2005-2701 CAN-2005-2702 CAN-2005-2703 CAN-2005-2704
  CAN-2005-2705 CAN-2005-2706 CAN-2005-2707 CAN-2005-2968
  CAN-2005-2871

* Tue Jul 19 2005 Christopher Aillon <caillon@redhat.com> 1.0.6-1.4.1
- Update to 1.0.6
- Correct issues with IIIMF candidate window placement (#157871)

* Tue Mar 22 2005 Christopher Aillon <caillon@redhat.com> 1.0.2-1.4.1
- Update to 1.0.2 to fix several vulnerabilities

* Thu Dec 16 2004 Christopher Aillon <caillon@redhat.com> 1.0-1.1.EL4
- Add RPM version to useragent

* Thu Dec 16 2004 Christopher Blizzard <blizzard@redhat.com>
- Port over pango patches from firefox

* Thu Dec  9 2004 Christopher Aillon <caillon@redhat.com> 1.0-0.2.rc1.EL4
- Only enable pango for Indic locales

* Fri Dec  3 2004 Christopher Aillon <caillon@redhat.com> 1.0-0.1.rc1.EL4
- Make this run on s390(x) now for real

* Fri Nov 19 2004 Christopher Aillon <caillon@redhat.com> 0.9.0-1.EL4
- Add patches to build and run on s390(x)

* Fri Nov  5 2004 Christopher Aillon <caillon@redhat.com> 0.9.0-1
- Update to 0.9

* Fri Oct 22 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-10
- Prevent inlining of stack direction detection (#135255)

* Tue Oct 19 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-9
- More file chooser fixes (same as in firefox)
- Fix for upstream 28327.

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-8
- Update the pango patch

* Mon Oct 18 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-8
- Pull over patches from firefox build:
  - disable default application dialog
  - don't include software update since it doesn't work
  - make external app support work

* Thu Oct 14 2004 Christopher Blizzard <blizzard@redhat.com> 0.8.0-7
- Use pango for rendering

* Tue Oct 12 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-6
- Fix for 64 bit crash at startup (b.m.o #256603)

* Sat Oct  9 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-5
- Add patches to fix xremote (#135036)

* Fri Oct  8 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-4
- Add patch to fix button focus issues (#133507)
- Add patch for fix IMAP race issues (bmo #246439)

* Fri Oct  1 2004 Bill Nottingham <notting@redhat.com> 0.8.0-3
- filter out library Provides: and internal Requires:

* Tue Sep 28 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-2
- Backport the GTK+ File Chooser.
- Add fix for JS math on x86_64 systems
- Add pkgconfig patch

* Thu Sep 16 2004 Christopher Aillon <caillon@redhat.com> 0.8.0-1
- Update to 0.8.0
- Remove enigmail
- Update BuildRequires
- Remove gcc34 and extension manager patches -- they are upstreamed.
- Fix for gnome-vfs2 error at component registration

* Fri Sep 03 2004 Christopher Aillon <caillon@redhat.com> 0.7.3-5
- Build with --disable-xprint

* Wed Sep 01 2004 David Hill <djh[at]ii.net> 0.7.3-4
- remove all Xvfb-related hacks

* Wed Sep 01 2004 Warren Togami <wtogami@redhat.com> 
- actually apply psfonts
- add mozilla gnome-uriloader patch to prevent build failure

* Tue Aug 31 2004 Warren Togami <wtogami@redhat.com> 0.7.3-3
- rawhide import
- apply NetBSD's freetype 2.1.8 patch
- apply psfonts patch
- remove BR on /usr/bin/ex, breaks beehive

* Tue Aug 31 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.2
- oops, fix %%install

* Thu Aug 26 2004 David Hill <djh[at]ii.net> 0.7.3-0.fdr.1
- update to Thunderbird 0.7.3 and Enigmail 0.85.0
- remove XUL.mfasl on startup, add Debian enigmail patches
- add Xvfb hack for -install-global-extension

* Wed Jul 14 2004 David Hill <djh[at]ii.net> 0.7.2-0.fdr.0
- update to 0.7.2, just because it's there
- update gcc-3.4 patch (Kaj Niemi)
- add EM registration patch and remove instdir hack

* Sun Jul 04 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.1
- re-add Enigmime 1.0.7, omit Enigmail until the Mozilla EM problems are fixed

* Wed Jun 30 2004 David Hill <djh[at]ii.net> 0.7.1-0.fdr.0
- update to 0.7.1
- remove Enigmail

* Mon Jun 28 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.1
- re-enable Enigmail 0.84.1
- add gcc-3.4 patch (Kaj Niemi)
- use official branding (with permission)

* Fri Jun 18 2004 David Hill <djh[at]ii.net> 0.7-0.fdr.0
- update to 0.7
- temporarily disable Enigmail 0.84.1, make ftp links work (#1634)
- specify libdir, change BR for apt (V. Skyttä, #1617)

* Tue May 18 2004 Warren Togami <wtogami@redhat.com> 0.6-0.fdr.5
- temporary workaround for enigmail skin "modern" bug

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.4
- update to Enigmail 0.84.0 
- update launch script

* Mon May 10 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.3
- installation directory now versioned
- allow root to run the program (for installing extensions)
- remove unnecessary %%pre and %%post
- remove separators, update mozconfig and launch script (M. Schwendt, #1460)

* Wed May 05 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.2
- include Enigmail, re-add release notes
- delete %{_libdir}/thunderbird in %%pre

* Mon May 03 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.1
- update to Thunderbird 0.6

* Fri Apr 30 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.rc1
- update to Thunderbird 0.6 RC1
- add new icon, remove release notes

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.6-0.fdr.0.20040415
- update to latest CVS, update mozconfig and %%build accordingly
- update to Enigmail 0.83.6
- remove x-remote and x86_64 patches
- build with -Os

* Thu Apr 15 2004 David Hill <djh[at]ii.net> 0.5-0.fdr.12
- update x-remote patch
- more startup script fixes

* Tue Apr 06 2004 David Hill <djh[at]ii.net> 0:0.5-0.fdr.11
- startup script fixes, and a minor cleanup

* Sun Apr 04 2004 Warren Togami <wtogami@redhat.com> 0:0.5-0.fdr.10
- Minor cleanups

* Sun Apr 04 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.8
- minor improvements to open-browser.sh and startup script
- update to latest version of Blizzard's x-remote patch

* Thu Mar 25 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.7
- update open-browser.sh, startup script, and BuildRequires

* Sun Mar 14 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.6
- update open-browser script, modify BuildRequires (Warren)
- add Blizzard's x-remote patch
- initial attempt at x-remote-enabled startup script

* Sun Mar 07 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.5
- refuse to run with excessive privileges

* Fri Feb 27 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.4
- add Mozilla x86_64 patch (Oliver Sontag)
- Enigmail source filenames now include the version
- modify BuildRoot

* Thu Feb 26 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.3
- use the updated official tarball

* Wed Feb 18 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.2
- fix %%prep script

* Mon Feb 16 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.1
- update Enigmail to 0.83.3
- use official source tarball (after removing the CRLFs)
- package renamed to thunderbird

* Mon Feb 09 2004 David Hill <djh[at]ii.net>	0:0.5-0.fdr.0
- update to 0.5
- check for lockfile before launching

* Fri Feb 06 2004 David Hill <djh[at]ii.net>
- update to latest cvs
- update to Enigmail 0.83.2

* Thu Jan 29 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.5
- update to Enigmail 0.83.1
- removed Mozilla/Firebird script patching

* Sat Jan 03 2004 David Hill <djh[at]ii.net>	0:0.4-0.fdr.4
- add startup notification to .desktop file

* Thu Dec 25 2003 Warren Togami <warren@togami.com> 0:0.4-0.fdr.3
- open-browser.sh release 3
- patch broken /usr/bin/mozilla script during install
- dir ownership
- XXX: Source fails build on x86_64... fix later

* Tue Dec 23 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.2
- update to Enigmail 0.82.5
- add Warren's open-browser.sh (#1113)

* Tue Dec 09 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.1
- use Thunderbird's mozilla-xremote-client to launch browser

* Sun Dec 07 2003 David Hill <djh[at]ii.net>	0:0.4-0.fdr.0
- update to 0.4
- make hyperlinks work (with recent versions of Firebird/Mozilla)

* Thu Dec 04 2003 David Hill <djh[at]ii.net>
- update to 0.4rc2

* Wed Dec 03 2003 David Hill <djh[at]ii.net>
- update to 0.4rc1 and Enigmail 0.82.4

* Thu Nov 27 2003 David Hill <djh[at]ii.net>
- update to latest CVS and Enigmail 0.82.3

* Sun Nov 16 2003 David Hill <djh[at]ii.net>
- update to latest CVS (0.4a)
- update Enigmail to 0.82.2
- alter mozconfig for new build requirements
- add missing BuildReq (#987)

* Thu Oct 16 2003 David Hill <djh[at]ii.net>	0:0.3-0.fdr.0
- update to 0.3

* Sun Oct 12 2003 David Hill <djh[at]ii.net>	0:0.3rc3-0.fdr.0
- update to 0.3rc3
- update Enigmail to 0.81.7

* Thu Oct 02 2003 David Hill <djh[at]ii.net>	0:0.3rc2-0.fdr.0
- update to 0.3rc2

* Wed Sep 17 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.2
- simplify startup script

* Wed Sep 10 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.1
- add GPG support (Enigmail 0.81.6)
- specfile fixes (#679)

* Thu Sep 04 2003 David Hill <djh[at]ii.net>	0:0.2-0.fdr.0
- update to 0.2

* Mon Sep 01 2003 David Hill <djh[at]ii.net>
- initial RPM
  (based on the fedora MozillaFirebird-0.6.1 specfile)


